#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <dirent.h>
#include <qdir.h>

#include "pws.h"

#include <kapp.h>
#include <kconfig.h>
#include <userpaths.h>
#include <klocale.h>
#include <kcmdlineargs.h>

static const char *description = 
	I18N_NOOP("Personal Web Server");

static const char *version = "v0.5";


KConfig *conf;

int main(int argc, char *argv[])
{
        KCmdLineArgs::init(argc, argv, "pws", description, version);
	KApplication app;
        conf=app.config();

        PWS widget;

	app.setMainWidget(&widget);
	app.setTopWidget(&widget);

	widget.show();

	return app.exec();
}
